####################################################################
#
#  Unix-specific Makefile stuff.
#
####################################################################
DEFS_common = -Wp,-Dstricmp=strcasecmp -Wp,-Dstrnicmp=strncasecmp \
	-Wp,-DNO_FILELENGTH -Wp,-DSHARE_DIR=\"$(zdoomshare_dir)/\"
ASFLAGS_common = -f elf -DM_TARGET_LINUX
LDFLAGS_common = -static 

# libraries to link with
LIBS = -lm -lz -lpthread

SYSINT = $(INTDIR)/$(SYSTEM)

SYSOBJS = \
	$(SYSINT)/i_main.o \
	$(SYSINT)/i_net.o \
	$(SYSINT)/i_system.o \
	$(SYSINT)/i_instfunc.o \
	$(SYSINT)/i_debugger.o

SYSSOURCES = \
	$(IMPDIR)/i_main.cpp \
	$(IMPDIR)/i_net.cpp \
	$(IMPDIR)/i_system.cpp \
	$(IMPDIR)/i_instfunc.c \
	$(IMPDIR)/i_debugger.cpp
