#ifndef __CL_MAIN_H__
#define __CL_MAIN_H__

// [NightFang] - STFU STUPID COMPILIER WARNINGS!
#ifdef _MSC_VER
#pragma warning(disable : 4244)     // MIPS
#pragma warning(disable : 4136)     // X86
#pragma warning(disable : 4051)     // ALPHA

#pragma warning(disable : 4018)     // signed/unsigned mismatch
#pragma warning(disable : 4305)     // truncate from double to float
#endif


#define MASTER_CHALLENGE		5560020  // Master server heartbeat
#define OLDLAUNCHER_CHALLENGE 777123  // csdl challenge

#define	MAX_UDP_PACKET			1400			//Kilgore: was 8192

#define	SERVER_PORT				10666
#define	CLIENT_PORT				10667
#define	MASTER_PORT				15100

// Challengers
#define	CONNECT_CHALLENGE		200
#define	CONNECT_READY			201
#define	CONNECT_GETDATA			202
#define	CONNECT_QUIT			203


#define MAXSAVETICS				70

// Network messages (universal)
#define	NETWORK_ERROR			254

// To identify our connection status
#define	ZD_NOTHING				1
#define ZD_TRYCONNECTION		2
#define	ZD_CONNECTING			3
#define	ZD_CONNECTED			4
#define	ZD_PLAYING				5
#define ZD_NEWMAPCONNECT		6

// Stuff
#define CM_X      1
#define CM_Y      2
#define CM_Z      4
#define CM_ANGLE  8
#define CM_MOMX   16
#define CM_MOMY   32
#define CM_MOMZ   64
#define CM_FRAME  128

// Flags for updating sectors
#define SUPDATE_CEILING			1	
#define SUPDATE_FLOOR			2
#define SUPDATE_FLOORTEXTURE	4
#define SUPDATE_CEILINGTEXTURE	8

// Identifying states (the cheap & easy way out)
#define	STATE_SPAWN		1
#define	STATE_SEE		2
#define	STATE_PAIN		3
#define	STATE_MELEE		4		
#define	STATE_MISSILE	5
#define	STATE_DEATH		6

// Identifying player states (again, cheap & easy)
#define	STATE_PLAYER_IDLE		7
#define	STATE_PLAYER_SEE		8
#define	STATE_PLAYER_ATTACK		9
#define	STATE_PLAYER_ATTACK2	10

// Client --> Client demo messages
#define		zddemo_capture			100
#define		zddemo_endcapture		101
#define		zddemo_switchweapon		102
#define		zddemo_fireweapon		103
#define		zddemo_localuserinfo	104
#define		zddemo_enddemo			105

// Client --> Server messages
#define		cl_userinfo				1
#define		cl_clientmove			2
#define		cl_weapslot				3
#define		cl_weapsel				4
#define		cl_pong					5
#define		cl_wantnewlevel			6
#define		cl_querything			7
#define		cl_chat					8
#define		cl_requestspawn			9
#define		cl_tryfire				10
#define		cl_missingplayer		11
#define		cl_useitem				12
#define		cl_requestrcon			13
#define		cl_rconcmd				14
#define		cl_teleport				15
#define		cl_ack					16
#define		cl_teamchat				17	//Kilgore
#define		cl_privchat				18	//Kilgore

// Server --> Client messages
#define		sv_consoleplayer		1
#define		sv_dmflags				2
#define		sv_skill				3
#define		sv_loadmap				4
#define		sv_spawnmobj			5
#define		sv_mobjangle			6
#define		sv_corpse				7
#define		sv_moveplayer			8
#define		sv_gametype				9
#define		sv_mobjstate			10
#define		sv_movething			11
#define		sv_spawnplayer			12
#define		sv_updatelocalplayer	13
#define		sv_spawnmissile			14
#define		sv_explodemissile		15
#define		sv_fireweapon			16
#define		sv_refireweapon			17
#define		sv_touchthing			18
#define		sv_ping					19
#define		sv_updateping			20
#define		sv_respawnitem			21
#define		sv_damagemobj			22
#define		sv_killmobj				23
#define		sv_damageplayer			24
#define		sv_killplayer			25
#define		sv_setspecificstate		26
#define		sv_toggleline			27
#define		sv_playernoway			28
#define		sv_dodoor				29
#define		sv_doplat				30
#define		sv_updatesector			31
#define		sv_destroymobj			32
#define		sv_secsound				33
#define		sv_secsoundid			34
#define		sv_stopsecseq			35
#define		sv_exitlevel			36
#define		sv_doreborn				37
#define		sv_newmap				38		// reconnects
#define		sv_moveplane			39
#define		sv_flattexture			40
#define		sv_dropitem				41
#define		sv_telemove				42
#define		sv_chat					43
#define		sv_spawnbot				44
#define		sv_playerstate			45
#define		sv_firepistol			46
#define		sv_fireshotgun			47
#define		sv_fireshotgun2			48
#define		sv_firechaingun			49
#define		sv_firerocket			50
#define		sv_fireplasma			51
#define		sv_firebfg				52
#define		sv_openshotgun2			53
#define		sv_loadshotgun2			54
#define		sv_closeshotgun2		55
#define		sv_userinfo				56
#define		sv_updatefrags			57
#define		sv_wepchange			58
#define		sv_rerespawn			59
#define		sv_newmap2				60		// does not disconnect
#define		sv_adminchat			61
#define		sv_disconnectclient		62
#define		sv_printf				63
#define		sv_firerailgun			64
#define		sv_disconnectbot		65
#define		sv_updateinv			66
#define		sv_useinv				67
#define		sv_givearti				68
#define		sv_spawnrain			69
#define		sv_motd					70
#define		sv_rconaccess			71
#define		sv_cantjoin				72
#define		sv_spreemsg				73
#define		sv_killmsg				74
#define		sv_playertimer			75
#define		sv_sawhit				76
#define		sv_missedpacket			77
#define		sv_kick					78
#define		sv_experience			79
#define		sv_header				80
#define		sv_teamchat				81
#define		sv_updateteamscore		82
#define		sv_special_event		83
#define		sv_badteam				84
#define		sv_privchat				85
#define		sv_timeleft				86
#if __CTF__
#define		sv_ctf_event			87
#define		sv_ctf_state			88
#endif
#define		sv_updatekills			89	// Lyfe
#define		sv_spawnmissile2		90
#define		sv_spawnplayer2			91
#define		sv_loadmap2				92
#define		sv_newmap3				93

//
// STRUCTS
// 

#include "netadr.h"

extern  netadr_t  net_from;  // address of who sent the packet

typedef struct sizebuf_s
{
	//bool	allowoverflow;	// if false, do a Com_Error
	//bool	overflowed;		// set to true if the buffer size failed
	byte	data[MAX_UDP_PACKET*8];	// Kilgore; allow enough space for playing
									// older demos; MAX_UDP_PACKET is now 1400,
									// but it was 8192
	int		maxsize;
	int		compsize;			// compressed size
	int		cursize;
	int		readcount;
} sizebuf_t;

typedef enum			// Kilgore: these events are handled by ZD_SpecialEvent()
{
	SE_DOUBLE,
	SE_MULTI,
	SE_ULTRA,
	SE_MONSTER,
	SE_SPREE,
	SE_RAMPAGE,
	SE_DOMINATING,
	SE_UNSTOPPABLE,
	SE_GODLIKE,
	SE_1MIN_LEFT,		
	SE_5MIN_LEFT,
	SE_1FRAG_LEFT,
	SE_2FRAG_LEFT,
	SE_3FRAG_LEFT,
	SE_TEAMMATE_KILL,
	SE_SUICIDE,
	SE_PREPARE,
	SE_START,
	SE_LEADGOT,
	SE_LEADLOST,
	SE_LEADTIED,
	SE_WIN,
	SE_LOSE,
	SE_TIED,
	SE_IMPRESSIVE,
	SE_HUMILIATION,
	SE_HOLY_SHIT,

	SE_WICKED_SICK,
	SE_ASSIST,
	SE_RED_TAKEN,
	SE_RED_DROPPED,
	SE_RED_RETURNED,
	SE_RED_SCORES,
	SE_BLUE_TAKEN,
	SE_BLUE_DROPPED,
	SE_BLUE_RETURNED,
	SE_BLUE_SCORES,
	SE_GREEN_TAKEN,
	SE_GREEN_DROPPED,
	SE_GREEN_RETURNED,
	SE_GREEN_SCORES,
	SE_WHITE_TAKEN,
	SE_WHITE_DROPPED,
	SE_WHITE_RETURNED,
	SE_WHITE_SCORES,

	NUM_SPEC_EVENTS
} spec_event_t;


#include "d_ticcmd.h"

//
// EXTERNAL VARIBLES
// 
extern		fixed_t	cl_x[MAXSAVETICS];
extern		fixed_t	cl_y[MAXSAVETICS];
extern		fixed_t	cl_z[MAXSAVETICS];
extern		fixed_t	cl_momx[MAXSAVETICS];
extern		fixed_t	cl_momy[MAXSAVETICS];
extern		fixed_t	cl_momz[MAXSAVETICS];
extern		ticcmd_t	zd_localcmds[MAXSAVETICS];

extern		int			zd_level;
extern		int			zd_lasttic;
extern		bool		net_demorecording;
extern		bool		net_demoplayback;
extern		bool		demofinishread;
extern		bool		demo_localinfo;		// Updates packet capture to get localinfo
extern		FILE		*demofile;
extern		int			demoreadcount;
extern		BYTE		SendWeaponSlot;
extern		int			localport;
extern		int			gametime;
extern		int			listenplayer;
extern		bool		zd_localplay;		// playing locally?
extern		int			difftics;
extern		int			zd_netstate;		// Network status (connected, connecting..? etc)
extern		int			zd_inbytes,zd_outbytes, zd_uncompressedinbytes, zd_uncompressedoutbytes;
extern		int			zd_lastservertic;	// Last time we heard from the server
extern		int			zd_servertimeout;
extern		bool		zd_serverlagging;
extern		bool		zd_clientlagging;
extern		sizebuf_t   msg_read;
extern		sizebuf_t	net_message;
extern		netadr_t	remoteaddr;
extern		sizebuf_t	localbuf;			// Local buffer for the client
extern		int			numdoors;			// [NightFang] - keep track of doors
extern		int			addr_timeout;		// Connecting timeouts
extern		bool		zd_predicting;


//
// EXTERNAL FUNCTIONS
//

void		CloseNetwork (void);
void		InitNetCommon(void);
void		I_SetPort(netadr_t &addr, int port);


void		SZ_Init (sizebuf_t *buf, int length);
void		SZ_Clear (sizebuf_t *buf);
byte		*SZ_GetSpace (sizebuf_t *buf, int length);
void		SZ_Write (sizebuf_t *buf, void *data, int length);
void		SZ_Write (sizebuf_t *b, byte *data, int startpos, int length);

char		*NET_AdrToString (netadr_t *a);
bool		NET_StringToAdr (char *s, netadr_t *a);
bool		NET_CompareAdr (netadr_t *a, netadr_t *b);
int			ZD_GetPackets (void);
void		ZD_LaunchPacket (sizebuf_t netbuf, netadr_t to);
void		ZD_ReadPacketHeader(void);
void		NET_GetLocalAddress (void);

void		ZD_SendUserInfo(void);
void		ZD_SpecialEvent(int ref_player,int evt_id,int parm);
void		ZD_SendCmd(void);
void		G_PlayerReborn (int player);
void		printErrorExit(char *text);
void		ZD_StartNetwork(void);
void		ZD_CloseNetwork(void);
void		ZD_UpdateMaster(void);
void		ZD_SendInfo(void);
void		ZD_QuitNetGame(void);
void		ZD_PlayerPredict(void);
void		ZD_SaveCmd(void);
void		ZD_ResetPlayerArray(void);
void		ZD_ResetGametic(void);
void		ZD_WaitForServer(void);

void		update_rank_spread_info(void);
void		HU_DrawRankSpread(int i);
void		HU_DrawWatchedName();

// Demo stuff
void		ZD_StartDemoRecording(char *fname);
void		ZD_StartCapture(sizebuf_t buf, bool capturecmd);
void		ZD_CapturePacket(sizebuf_t	buf);
void		ZD_EndCapture (sizebuf_t buf);
void		ZD_StopDemoRecording(sizebuf_t buf);
void		ZD_LoadDemo(char *name);
void		ZD_FindDemoPacket(void);
void		ZD_StopDemoPlayback(void);

//
// ZDaemon Client Functions
// 

void	ZD_AttemptConnection(void);
void	ZD_ParsePacket(void);

//
// HARD CORE NET I/O STUFF
//

void ZD_WriteByte (sizebuf_t *sb, int c);
void ZD_WriteShort (sizebuf_t *sb, int c);
void ZD_WriteWord (sizebuf_t *sb, short v);
void ZD_WriteLong (sizebuf_t *sb, int c);
void ZD_WriteString (sizebuf_t *sb, char *s);
void ZD_WriteBytes(sizebuf_t *sb, byte *inbuf, int num);

int ZD_ReadChar (void);
int ZD_ReadByte (void);
int ZD_ReadShort (void);
int ZD_ReadWord (void);
int ZD_ReadLong (void);
float ZD_ReadFloat (void);
char *ZD_ReadString (void);
bool ZD_ReadBytes(byte *buf,int bufsz);		//Kilgore

#endif